using System;
using DevExpress.ExpressApp.DC;
using DevExpress.Persistent.Base;

namespace XafariMQSample.Module
{
    [DomainComponent]
    [DefaultClassOptions]
    [XafDefaultProperty("Name")]
    public interface MessageLog
    {
        string Name { get; set; }

        int ThreadSleepTime { get; set; }

        int Index { get; set; }

        DateTime CreationTime { get; set; }
    }
}
